QGIS Application - Bug report #17612
Values in form view appear as NULL
2017-12-03 08:16 PM - Saber Razmjooei

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 25509
Description

but are shown correctly in the table view

History

#1 - 2017-12-04 11:11 AM - Saber Razmjooei
- Status changed from Open to Closed

Magically it got resolved!

#2 - 2017-12-04 05:30 PM - Giovanni Manghi

- Resolution set to not reproducable

#3 - 2017-12-04 06:29 PM - Harrissou Santanna

- File attribute_form.PNG added

Magically it got resolved!

Are you sure, Saber :) ? Isn't it because you just switch to the form view after opening the attribute table (without "selecting” any feature)? | think it has

always been this way.

| mean when you open the attribute table in view form, attributes are ALL shown 'NULL' given that no particular feature is "displayed". This is really

confusing (took me time to figure out this dialog behavior). | think that attributes of the first feature in the list should be displayed instead of those empty

fields.

| let Giovanni decide if it should be reopened.

Files

attribute_form.PNG 24.7 KB 2017-12-04 Harrissou Santanna
